
<list-template titleList="Residencia" #list [load]="service.loading | async" [service]="service">
    <ng-container content-type="search-filter">
        <search-bar [service]="service" [columns]="columns" [activeColumn]="columns[1]"></search-bar>
    </ng-container>
    <table class="table table-striped table-bordered">
        <thead [class.border-bottom]="service.loading | async">
            <tr>
                <th>Numero</th>
                <th>Tipo</th>
                <th>Piso</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let r of service.data">
                <td>{{ r.Numero }}</td>
                <td>{{ r.TipoResidenciaDescripcion || '--' }}</td>
                <td>{{ r.Piso || '--' }}</td>
                <td class="table-action">
                    <button class="btn btn-sm btn-info" (click)="list.onEdit(r)">
                      <i class="mdi mdi-lead-pencil"></i>
                    </button>
                    <button class="btn btn-sm btn-danger" (click)="list.onDelete(r)">
                      <i class="mdi mdi-delete"></i>
                    </button>
                  </td>
            </tr>
        </tbody>
        <tfoot>
            <tr>
                <td colspan="99" *ngIf="service.data.length === 0 && (service.loading | async) == false">
                    No Hay Registros
                </td>
            </tr>
        </tfoot>
    </table>
</list-template>

<ng-template #form>
    <app-residencia-form></app-residencia-form>
</ng-template>
